aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSlack Coder <slackcoder@server.ky>2021-10-14 16:48:52 -0500
committerSlack Coder <slackcoder@server.ky>2021-10-14 16:48:52 -0500
commit55e74ab18f93c1161450e32aa1c22df1213709b9 (patch)
treef0e1135722ddf1a7c98f6a9534a4d30bffef2bbf
parent5017ac8bd80e8bac9bf37d87a0d6c66a17c17f0e (diff)
downloadslackbuilds-55e74ab18f93c1161450e32aa1c22df1213709b9.tar.gz
Add neovim 5.1
Add Neovim with patch to fix python3 provider support for python3.10
-rw-r--r--neovim/README7
-rw-r--r--neovim/doinst.sh3
-rw-r--r--neovim/neovim.SlackBuild112
-rw-r--r--neovim/neovim.info10
-rw-r--r--neovim/patch/0001-fix-provider-compare-versions-as-number-not-string-1.patch28
-rw-r--r--neovim/slack-desc19
6 files changed, 179 insertions, 0 deletions
diff --git a/neovim/README b/neovim/README
new file mode 100644
index 0000000..ee3c7e4
--- /dev/null
+++ b/neovim/README
@@ -0,0 +1,7 @@
+Neovim is a project that seeks to aggressively refactor Vim in order to:
+
+* Simplify maintenance and encourage contributions
+* Split the work between multiple developers
+* Enable the implementation of new/modern user interfaces without any
+ modifications to the core source
+* Improve extensibility with a new plugin architecture
diff --git a/neovim/doinst.sh b/neovim/doinst.sh
new file mode 100644
index 0000000..5fb2893
--- /dev/null
+++ b/neovim/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/neovim/neovim.SlackBuild b/neovim/neovim.SlackBuild
new file mode 100644
index 0000000..c024a30
--- /dev/null
+++ b/neovim/neovim.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/bash
+
+# SlackBuild script for neovim
+
+# Copyright 2014-2021 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=neovim
+VERSION=${VERSION:-0.5.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+patch -p1 < $CWD/patch/0001-fix-provider-compare-versions-as-number-not-string-1.patch
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIBUV_LIBRARY=/usr/lib${LIBDIRSUFFIX}/libuv.so \
+ -DCMAKE_INSTALL_MANDIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release \
+ ..
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CONTRIBUTING.md README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/neovim/neovim.info b/neovim/neovim.info
new file mode 100644
index 0000000..1ddcec7
--- /dev/null
+++ b/neovim/neovim.info
@@ -0,0 +1,10 @@
+PRGNAM="neovim"
+VERSION="0.5.1"
+HOMEPAGE="https://neovim.io"
+DOWNLOAD="https://github.com/neovim/neovim/archive/v0.5.1/neovim-0.5.1.tar.gz"
+MD5SUM="9d957ca75cec992428325d654ad50b7e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="greenlet msgpack-c lua-mpack lua-lpeg lua-luv libtermkey libvterm tree-sitter"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/neovim/patch/0001-fix-provider-compare-versions-as-number-not-string-1.patch b/neovim/patch/0001-fix-provider-compare-versions-as-number-not-string-1.patch
new file mode 100644
index 0000000..1b7e5a3
--- /dev/null
+++ b/neovim/patch/0001-fix-provider-compare-versions-as-number-not-string-1.patch
@@ -0,0 +1,28 @@
+From e16adbf238ee46b59b68a84af17bdee10ca49418 Mon Sep 17 00:00:00 2001
+From: "Tejasvi S. Tomar" <45873379+tejasvi@users.noreply.github.com>
+Date: Fri, 8 Oct 2021 02:57:40 +0530
+Subject: [PATCH 1/1] fix(provider): compare versions as number, not string
+ #15937
+
+"3.10" < "3.3" but v3.10 > v3.3
+Fixes #14586
+---
+ runtime/autoload/provider/pythonx.vim | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/runtime/autoload/provider/pythonx.vim b/runtime/autoload/provider/pythonx.vim
+index c292b374b..0eeb35cba 100644
+--- a/runtime/autoload/provider/pythonx.vim
++++ b/runtime/autoload/provider/pythonx.vim
+@@ -96,7 +96,7 @@ function! provider#pythonx#CheckForModule(prog, module, major_version) abort
+ if prog_version !~ '^' . a:major_version
+ return [0, prog_path . ' is Python ' . prog_version . ' and cannot provide Python '
+ \ . a:major_version . '.']
+- elseif prog_version =~ '^' . a:major_version && prog_version < min_version
++ elseif prog_version =~ '^' . a:major_version && str2nr(prog_version[2:]) < str2nr(min_version[2:])
+ return [0, prog_path . ' is Python ' . prog_version . ' and cannot provide Python >= '
+ \ . min_version . '.']
+ endif
+--
+2.33.1
+
diff --git a/neovim/slack-desc b/neovim/slack-desc
new file mode 100644
index 0000000..59a0ea0
--- /dev/null
+++ b/neovim/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+neovim: neovim (Vim fork)
+neovim:
+neovim: Neovim is a fork of the venerable text-editor vim, focused on
+neovim: extensibility and usability. It is not a rewrite but a continuation
+neovim: and extension of Vim. Many clones and derivatives exist, some very
+neovim: clever-but none are Vim. Neovim is built for users who want the good
+neovim: parts of Vim, and more.
+neovim:
+neovim: See a list of differences at :help vim-differences.
+neovim:
+neovim: